# Class DatabricksSQLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.databricks.jdbc.exception.DatabricksSQLException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

Direct Known Subclasses:
  `DatabricksHttpException`, `DatabricksParsingException`, `DatabricksSQLFeatureNotImplementedException`, `DatabricksSSLException`, `DatabricksTemporaryRedirectException`, `DatabricksValidationException`, `DatabricksVolumeOperationException`

public class DatabricksSQLException extends SQLException
Top level exception for Databricks driver

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabricksSQLException(String reason, DatabricksDriverErrorCode internalError)`
`DatabricksSQLException(String reason, DatabricksDriverErrorCode internalError, boolean silentExceptions)`
`DatabricksSQLException(String reason, String sqlState)`
`DatabricksSQLException(String reason, String sqlState, boolean silentExceptions)`
`DatabricksSQLException(String reason, String sqlState, int vendorCode)`
`DatabricksSQLException(String reason, String sqlState, int vendorCode, boolean silentExceptions)`
`DatabricksSQLException(String reason, String sqlState, int vendorCode, Throwable cause)`
`DatabricksSQLException(String reason, String sqlState, DatabricksDriverErrorCode internalError)`
`DatabricksSQLException(String reason, Throwable cause, DatabricksDriverErrorCode internalError)`
`DatabricksSQLException(String reason, Throwable cause, String sqlState)`
`DatabricksSQLException(String reason, Throwable cause, String statementId, Long chunkIndex, String sqlState)`

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### DatabricksSQLException

public DatabricksSQLException(String reason, DatabricksDriverErrorCode internalError)

### DatabricksSQLException

public DatabricksSQLException(String reason, DatabricksDriverErrorCode internalError, boolean silentExceptions)

### DatabricksSQLException

public DatabricksSQLException(String reason, Throwable cause, DatabricksDriverErrorCode internalError)

### DatabricksSQLException

public DatabricksSQLException(String reason, Throwable cause, String sqlState)

### DatabricksSQLException

public DatabricksSQLException(String reason, Throwable cause, String statementId, Long chunkIndex, String sqlState)

### DatabricksSQLException

public DatabricksSQLException(String reason, String sqlState)

### DatabricksSQLException

public DatabricksSQLException(String reason, String sqlState, boolean silentExceptions)

### DatabricksSQLException

public DatabricksSQLException(String reason, String sqlState, DatabricksDriverErrorCode internalError)

### DatabricksSQLException

public DatabricksSQLException(String reason, String sqlState, int vendorCode)

### DatabricksSQLException

public DatabricksSQLException(String reason, String sqlState, int vendorCode, boolean silentExceptions)

### DatabricksSQLException

public DatabricksSQLException(String reason, String sqlState, int vendorCode, Throwable cause)